import enum


class ActType(enum.IntEnum):
    eReady = 0
    eRotation = 1
    eHorizon = 2
    eVertical = 3
    eMPC = 4
    eClampClose = 5
    eClampOpen = 6
    eLifterRise = 7
    eLifterDown = 8


class ManualOperationType(enum.IntEnum):
    eReady = 0x0000

    eCounterclockwiseRotate = 0x0001
    eClockwiseRotate = 0x0002

    eForwardMove = 0x0010
    eBackwardMove = 0x0020
    eLeftMove = 0x0040
    eRightMove = 0x0080

    eClampClose = 0x0100
    eClampOpen = 0x0200

    eLifterRise = 0x0400
    eLifterDown = 0x0800


class RobotName:
    strAGVMain = "AgvMain"
    strAGV2 = "AGV2"
